<template>
  <div class="base-page-wrapper coupon-detail">
    <el-bus-title title="优惠券信息" size="small" />
    <el-bus-form
      ref="form"
      label-width="auto"
      :content="formContent"
      readonly
      class="readonly-form"
    />
    <div class="base-page-wrapper__line"></div>
    <el-bus-title title="兑换记录" size="small" />
    <el-bus-crud v-bind="recordTableConfig" />
    <div class="text-center mt-20">
      <el-button class="min-w-100" @click="goBack">返回</el-button>
    </div>
  </div>
</template>

<script>
import {
  couponForm,
  couponRecordColumn,
  recordTableConfig,
} from '@/utils/coupon-form'
import CouponDetail from '@/plugins/mixins/coupon-detail.vue'
export default {
  mixins: [CouponDetail],
  data() {
    return {
      detailUrl: `flower/api/v2/coupon/point`,
      formContent: [
        {
          type: 'row',
          items: [
            ...couponForm(),
            {
              label: '领取后有效时间：',
              id: 'usageTimeNum',
              inputFormat: (row) => {
                return `${row.usageTimeNum}${row.usageTimeTypeName}`
              },
            },
            { label: '发放数量：', id: 'couponAmount' },
            { label: '已兑换：', id: 'getNum' },
            { label: '库存：', id: 'unGetNum' },
            { label: '积分数量：', id: 'point' },
          ],
        },
      ],
      recordTableConfig: {
        ...recordTableConfig(this.$route.params.id),
        columns: [...couponRecordColumn('兑换时间')],
      },
    }
  },
  head() {
    return {
      title: '积分优惠券详情',
    }
  },
}
</script>

<style lang="scss" scoped>
@import '@/assets/coupon/detail.scss';
</style>
